hector-fleet-management-system-master/routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});


// Resources
Route::resource('vehicles', 'VehicleController');
Route::resource('departments', 'DepartmentController');
Route::resource('vehicle_models', 'VehicleModelController');
Route::resource('orders', 'OrderController');
Route::resource('order_requests', 'OrderRequestController');


Route::get('/home', 'HomeController@index')->name('home');

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

hector-fleet-management-system-master/app/Vehicle.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Vehicle extends Model
{
    public function vehicle_model() {
        return $this->belongsTo(Vehicle_model::class);
    }

    public function vehicle_status() {
        return $this->belongsTo(Vehicle_status::class);
    }

            public function orders() {
    	return $this->belongsToMany('App\Order', 'order_vehicle');
    }

}

hector-fleet-management-system-master/app/Http/Controllers/VehicleController.php
<?php

namespace App\Http\Controllers;

use App\Vehicle;
use App\Vehicle_model;
use App\Vehicle_status;
use Illuminate\Http\Request;
use Illuminate\Support\Arr;
use Illuminate\Support\Facades\DB;

class VehicleController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        return view('vehicles.index')->with('vehicles', Vehicle::all());
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $vehicle_models = Arr::sort(Vehicle_model::all(), function ($value) {
            return $value->make;
        });

        // dd($vehicle_models);
        return view('vehicles.create')->with('vehicle_models', $vehicle_models);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request -> validate([
            'plate_number' => 'unique:App\Vehicle,plate_number| required | size:6 | regex:/[a-zA-Z]{2}\d{4}/',
            'model' => 'required'
        ]);

        $vehicle = new Vehicle;
        $vehicle->plate_number = strtoupper($request->input('plate_number'));
        $vehicle->vehicle_model_id = $request->input('model');
        $vehicle->save();

        $request->session()->flash('success', 'Vehicle successfully added');
        
        return redirect(route('vehicles.show', ['vehicle' => $vehicle->id]));
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Vehicle  $vehicle
     * @return \Illuminate\Http\Response
     */
    public function show(Vehicle $vehicle)
    {
        return view('vehicles.show')->with('vehicle', $vehicle)->with('vehicle_statuses', Vehicle_status::all());
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Vehicle  $vehicle
     * @return \Illuminate\Http\Response
     */
    public function edit(Vehicle $vehicle)
    {
        return view('vehicles.edit')->with('vehicle', $vehicle)->with('vehicle_models', Vehicle_model::all());
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Vehicle  $vehicle
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Vehicle $vehicle)
    {
        if($request->status !== null) {
            $vehicle->vehicle_status_id = $request->status;
            $vehicle->save();
            $request->session()->flash('success', 'Vehicle status successfully updated');

            return redirect(route('vehicles.show', ['vehicle' => $vehicle->id]));
        } else {
            $request -> validate([
                'plate_number' => 'required | size:6 | regex:/[a-zA-Z]{2}\d{4}/',
                'model' => 'required'
            ]);
    
            $vehicle->plate_number = strtoupper($request->input('plate_number'));
            $vehicle->vehicle_model_id = $request->input('model');
            $vehicle->save();
    
            $request->session()->flash('success', 'Vehicle successfully updated');
            return redirect(route('vehicles.edit', ['vehicle' => $vehicle->id]));
        }

    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Vehicle  $vehicle
     * @return \Illuminate\Http\Response
     */
    public function destroy(Vehicle $vehicle, Request $request)
    {
        $vehicle->delete();
        $request->session()->flash('success', 'Vehicle deleted successfully');

        return redirect(route('vehicles.index'));
    }
}

hector-fleet-management-system-master/resources/views/vehicles/create.blade.php
@extends('layouts/app')

@section('title', 'Add a Vehicle')

@section('content')

<div class="row mt-4">

    {{-- Start of Messages --}}
    @include('messages')
    {{-- End of Messages --}}

    <div class="col-12 text-center">
        <h1>Add New Vehicle</h1>
    </div>

    <div class="col-12 col-md-8 col-lg-6 mx-auto mt-5 text-center">
        <form action="{{route('vehicles.store')}}" method="post">
            @csrf
            
            <div class="form-group text-left">
                <label for="plate_number">Plate Number:</label>
                <input type="text" name="plate_number" class="form-control" value="{{old('plate_number')}}" required>
            </div>
            <div class="form-group text-left mb-1">
                <label for="model">Model:</label>
                <select name="model" class="form-control mb-2" required>
                    <option value="" selected>Choose vehicle model</option>
                    {{-- Start of Model List --}}
                    @foreach($vehicle_models as $vehicle_model)
                    <option value="{{$vehicle_model->id}}"
                        {{old('model') == $vehicle_model->id ? "selected" : ""}}
                        >
                        {{"$vehicle_model->make $vehicle_model->name $vehicle_model->year"}}
                    </option>
                    @endforeach
                    {{-- End of Model List --}}

                </select>
                <p class="text-center mb-5">
                    Vehicle model not on the list? 
                    <a href="#" class="btn btn-sm btn-secondary ml-2">Add New Vehicle Model</a>
                </p>
            </div>
            <button class="btn btn-primary px-5 w-100 mb-3" type="submit">Submit New Vehicle</button>
        </form>
        <a href="{{route('vehicles.index')}}" class="btn btn-secondary w-100">Cancel</a>
    </div>
</div>


@endsection

hector-fleet-management-system-master/resources/views/vehicles/edit.blade.php
@extends('layouts/app')

@section('title', "Update Vehicle")

@section('content')


<div class="row mt-4">

{{-- Start of Messages --}}
@include('messages')
{{-- End of Messages --}}

    <div class="col-12 col-md-8 col-lg-6 mx-auto text-center">
        
        <div class="row">
            <div class="col-6 text-left mb-5">
                <h2 class="mb-1">Update {{$vehicle->plate_number}}</h2>
            </div>
            <div class="col-6 text-left mb-5 text-right">
                <a href="{{route('vehicles.index')}}" class="btn btn-secondary px-5">Back</a>
            </div>
        </div>

        <img src="/storage/{{$vehicle->vehicle_model->image}}" alt="" class="img-fluid">
        
        <form action="{{route('vehicles.update', ['vehicle' => $vehicle->id])}}" method="post" class="mb-3">
            @method('put')
            @csrf
            
            <div class="form-group text-left">
                <label for="plate_number">Plate Number:</label>
                <input type="text" name="plate_number" class="form-control" value="{{$vehicle->plate_number}}" required>
            </div>
            <div class="form-group text-left mb-5">
                <label for="model">Model:</label>
                <select name="model" class="form-control mb-2" required>
                    <option value="" selected>Choose vehicle model</option>
                    {{-- Start of Model List --}}
                    @foreach($vehicle_models as $vehicle_model)
                    <option value="{{$vehicle_model->id}}"
                        {{$vehicle->vehicle_model_id == $vehicle_model->id ? "selected" : ""}}
                        >
                        {{"$vehicle_model->make $vehicle_model->name"}}
                    </option>
                    @endforeach
                    {{-- End of Model List --}}

                </select>
                <p class="text-center">
                    Vehicle model not on the list? 
                    <a href="{{route('vehicle_models.create')}}" class="btn btn-sm btn-secondary ml-2">Add New Vehicle Model</a>
                </p>
            </div>
            <button class="btn btn-primary px-5" type="submit">Update Vehicle</button>
        </form>

    </div>
</div>


@endsection

hector-fleet-management-system-master/resources/views/vehicles/index.blade.php
@extends('layouts/app')

@section('title', 'Vehicles')

@section('content')

<div class="row px-1 mt-4 mb-0">
    
{{-- Start of Messages --}}
@include('messages')
{{-- End of Messages --}}

    <div class="col-12">
        <div class="row">
            <div class="col-6">
                <h1> {{ Auth::user()->can('isUser')? "Approved Vehicles" : "Vehicles" }} </h1>
            </div>
        
            @can('isAdmin')
            <div class="col-6 text-right">
                <a href="{{route('vehicles.create')}}" class="btn btn-secondary ml-1 mb-2">&plus; Add a Vehicle</a>
            </div>
            @endcan
        </div>
    </div>

    
    {{-- Start of Vehicle Cards --}}
    @foreach($vehicles as $vehicle)
        @include('vehicles.inc.vehicle_card')
    @endforeach
    {{-- End of Vehicle Cards --}}

</div>

@endsection

hector-fleet-management-system-master/resources/views/vehicles/show.blade.php
@extends('layouts/app')

@section('title', $vehicle->plate_number)

@section('content')
<?php $vehicle_model = $vehicle->vehicle_model ?>

{{-- Start of Messages --}}
<div class="row">
    @include('messages')
</div>
{{-- End of Messages --}}

{{-- Car Details --}}
<div class="card mb-3">
    <div class="card-header order">
        <div class="row px-3">
            <a href="{{URL::previous()}}" class="btn btn-primary mr-3">Back</a>
            <h2 class="m-0">Vehicle Details</h2>
        </div>
    </div>

    <div class="card-body bordered p-5">
        <div class="row">
            <div class="col-lg-6">
                <img src="/public/{{$vehicle_model->image}}" alt="" class="img-fluid w-100">
            </div>  
        
            <div class="col-lg-6">
                <h3>{{$vehicle->plate_number}} <span class="badge
                    @if($vehicle->vehicle_status_id == 1)
                        bg-success
                    @elseif($vehicle->vehicle_status_id == 2)
                        bg-danger
                    @else
                        bg-grey
                    @endif
                    text-light px-3">{{$vehicle->vehicle_status->name}}</span></h3>
                <a href="{{ route('vehicle_models.show', ['vehicle_model' => $vehicle_model->id]) }}"><h5 class="mb-0">{{strtoupper($vehicle_model->make . " " . $vehicle_model->name)}} <small>{{ $vehicle_model->year }}</small></h5></a>
                <p class="mb-5">{{$vehicle_model->vehicle_category->name}} | Seats: {{$vehicle_model->seats}}</p>

                @can('isMod')
                <div class="col-12 pl-0 mt-5">
                    <form action="{{ route('vehicles.update', ['vehicle' => $vehicle->id]) }}" method="post">
                        @csrf
                        @method('put')
                        <h5>Status:</h5>
                        <div class="form-check form-check-inline mb-3">
                            {{-- START STATUS ITEMS --}}
                            @foreach($vehicle_statuses as $status)
                            <input type="radio" class="form-check-input" name="status" id="{{ $status->name }}" value="{{ $status->id }}" {{ $status->id == $vehicle->vehicle_status->id ? "checked" : "" }}>
                                <label class="form-check-label mr-4" for="status-STATUS">{{ $status->name }}</label>
                            @endforeach
                            {{-- END STATUS ITEMS --}}
                        </div>
                        <button class="btn btn-primary ml-auto">Change Status</button>
                    </form>
                </div>
                @endcan

            </div>
        </div>
    </div>

    <div class="card-footer order text-right">
        <a href="{{route('vehicles.edit', ['vehicle' => $vehicle->id])}}" class="btn btn-secondary text-light">UPDATE VEHICLE</a>
        <form action="{{route('vehicles.destroy', ['vehicle' => $vehicle->id])}}" method="post" class="d-inline">
            @csrf
            @method('delete')
            <button class="btn btn-danger w-lg-25" type="submit">Delete Vehicle</button>
        </form>
    </div>

</div>

{{-- Start Car Orders --}}
<div class="card">

    <div class="card-header order">
        <h3 class="mb-0">Vehicle Orders</h3>
    </div>

    <div class="card-body px-0 py-0 bordered">
        <table class="table table-hover text-center mb-0">
            @if($vehicle->orders->first())
            <thead>
                <tr>
                    <th>Requested by</th>
                    <th>Order Number</th>
                    <th>Order Date</th>
                    <th>Borrow Date</th>
                    <th>Return Date</th>
                    <th>Order Details</th>
                </tr>
            </thead>
            <tbody>
                {{-- Start of Order List --}}
                @foreach($vehicle->orders as $order)
                @if(Auth::user()->can('isMod') || $order->user_id === Auth::user()->id)
                <tr>
                    <td>{{ ucwords($order->user->firstname . " " . $order->user->lastname) }}</td>
                    <td>{{ $order->order_number }}</td>
                    <td>{{ $order->created_at }}</td>
                    <td>{{ $order->borrow_date }}</td>
                    <td>{{ $order->return_date }}</td>
                    <td>
                        <a href="{{route('orders.show', ['order' => $order->id])}}" class="btn btn-sm btn-secondary">View Details</a>
                    </td>
                </tr>
                @endif
                @endforeach
                {{-- End of Order List --}}
                @else
                <div class="col-12 text-center py-5">
                    <h5 class="mb-0">This vehicles has no orders</h5>
                </div>
                @endif
            </tbody>
        </table>
    </div>

    <div class="card-footer order">

    </div>
</div>
{{-- End of Car Orders --}}


@endsection